using System;
using System.Drawing;

namespace KlumpNoiz
{
    public class EffectPluginConfigToken : PaintDotNet.Effects.EffectConfigToken
    {

        public bool Save
        {
            get;
            set;
        }
        public int _Sn
        {
            get;
            set;
        }
        public int _Reps
        {
            get;
            set;
        }
        public int _Choices
        {
            get;
            set;
        }
        public int _Bias
        {
            get;
            set;
        }
        public Color _Color1
        {
            get;
            set;
        }
        public Color _Color2
        {
            get;
            set;
        }
        public EffectPluginConfigToken(bool save,int sn ,int reps, int choices, int bias , Color color1, Color color2)
            : base()
        {
            this.Save = save;
            this._Sn = sn;
            this._Reps = reps;
            this._Choices = choices;
            this._Bias = bias;
            this._Color1 = color1;
            this._Color2 = color2;
        }

        protected EffectPluginConfigToken(EffectPluginConfigToken copyMe)
            : base(copyMe)
        {
            this.Save = copyMe.Save;
            this._Sn = copyMe._Sn;
            this._Reps = copyMe._Reps;
            this._Choices = copyMe._Choices;
            this._Bias = copyMe._Bias;
            this._Color1 = copyMe._Color1;
            this._Color2 = copyMe._Color2;

        }

        public override object Clone()
        {
            return new EffectPluginConfigToken(this);
        }
    }
}